Package com.snowbound.rastermaster

## Class SnowDocFactory

- java.lang.Object
- - com.snowbound.rastermaster.SnowDocFactory

-     public class SnowDocFactory
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SnowDocFactory.Config` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SnowDocFactory()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SnowDoc` | `createSnowDoc​(byte[] fileData)` | Creates a SnowDoc from provided file data. Uses default configuration values
    `static SnowDoc` | `createSnowDoc​(byte[] fileData, java.util.HashMap<SnowDocFactory.Config,​java.lang.String> configVals)` | Creates a SnowDoc from provided file data.
    `static SnowDoc` | `createSnowDoc​(java.io.DataInputStream dis)` | Creates a SnowDoc from provided input stream Uses default configuration values
    `static SnowDoc` | `createSnowDoc​(java.io.DataInputStream dis, java.util.HashMap<SnowDocFactory.Config,​java.lang.String> configVals)` | Creates a SnowDoc from provided input stream with the specified parameters.
    `static SnowDoc` | `createSnowDoc​(java.lang.String filePath)` | Creates a SnowDoc from file at provided path with the specified parameters. Uses default configuration values
    `static SnowDoc` | `createSnowDoc​(java.lang.String filePath, java.util.HashMap<SnowDocFactory.Config,​java.lang.String> configVals)` | Creates a SnowDoc from file at provided path with the specified parameters.
    `static boolean` | `isSnowDocFormat​(byte[] fileData)` | Determines if the file represented by the provided data is in a format supported by SnowDoc
    `static boolean` | `isSnowDocFormat​(java.io.DataInputStream docStream)` | Determines if the file represented by the provided input stream is in a format supported by SnowDoc
    `static boolean` | `isSnowDocFormat​(java.lang.String filePath)` | Determines if the file stored at the provided path is in a format supported by SnowDoc

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SnowDocFactory

          public SnowDocFactory()

  - ### Method Detail

    - #### createSnowDoc

          public static SnowDoc createSnowDoc​(java.lang.String filePath)
                                       throws com.snowbound.rastermaster.exceptions.SnowException

      Creates a SnowDoc from file at provided path with the specified parameters.
      Uses default configuration values
      Parameters:
        `filePath` - system path of the document to be created
      Returns:
        SnowDoc representation of the file
      Throws:
        `com.snowbound.rastermaster.exceptions.SnowException`

    - #### createSnowDoc

          public static SnowDoc createSnowDoc​(java.lang.String filePath,
                                              java.util.HashMap<SnowDocFactory.Config,​java.lang.String> configVals)
                                       throws com.snowbound.rastermaster.exceptions.SnowException

      Creates a SnowDoc from file at provided path with the specified parameters.
      Parameters:
        `filePath` - system path of the document to be created
        `configVals` - Collection of optional configuration values
      Returns:
        SnowDoc representation of the file
      Throws:
        `com.snowbound.rastermaster.exceptions.SnowException`

    - #### createSnowDoc

          public static SnowDoc createSnowDoc​(byte[] fileData)
                                       throws com.snowbound.rastermaster.exceptions.SnowException

      Creates a SnowDoc from provided file data.
      Uses default configuration values
      Parameters:
        `fileData` - byte representation of the document to be created
      Returns:
        SnowDoc representation of the file
      Throws:
        `com.snowbound.rastermaster.exceptions.SnowException`

    - #### createSnowDoc

          public static SnowDoc createSnowDoc​(byte[] fileData,
                                              java.util.HashMap<SnowDocFactory.Config,​java.lang.String> configVals)
                                       throws com.snowbound.rastermaster.exceptions.SnowException

      Creates a SnowDoc from provided file data.
      Parameters:
        `fileData` - byte representation of the document to be created
        `configVals` - Collection of optional configuration values
      Returns:
        SnowDoc representation of the file
      Throws:
        `com.snowbound.rastermaster.exceptions.SnowException`

    - #### createSnowDoc

          public static SnowDoc createSnowDoc​(java.io.DataInputStream dis)
                                       throws com.snowbound.rastermaster.exceptions.SnowException

      Creates a SnowDoc from provided input stream
      Uses default configuration values
      Parameters:
        `dis` - DataInputStream associated with the document to be created
      Returns:
        SnowDoc representation of the DataInputStream
      Throws:
        `com.snowbound.rastermaster.exceptions.SnowException`

    - #### createSnowDoc

          public static SnowDoc createSnowDoc​(java.io.DataInputStream dis,
                                              java.util.HashMap<SnowDocFactory.Config,​java.lang.String> configVals)
                                       throws com.snowbound.rastermaster.exceptions.SnowException

      Creates a SnowDoc from provided input stream with the specified parameters.
      Parameters:
        `dis` - DataInputStream associated with the document to be created
        `configVals` - Collection of optional configuration values
      Returns:
        SnowDoc representation of the DataInputStream
      Throws:
        `com.snowbound.rastermaster.exceptions.SnowException` - most commonly an UnsupportedFormatException

    - #### isSnowDocFormat

          public static boolean isSnowDocFormat​(java.lang.String filePath)

      Determines if the file stored at the provided path is in a format supported by SnowDoc
      Parameters:
        `filePath` - Absolute path to a file
      Returns:
        True if the file is supported

    - #### isSnowDocFormat

          public static boolean isSnowDocFormat​(byte[] fileData)

      Determines if the file represented by the provided data is in a format supported by SnowDoc
      Parameters:
        `fileData` - Byte array representation of a file
      Returns:
        True if the file is supported

    - #### isSnowDocFormat

          public static boolean isSnowDocFormat​(java.io.DataInputStream docStream)

      Determines if the file represented by the provided input stream is in a format supported by SnowDoc
      Parameters:
        `docStream` - DataInputStream representing a file
      Returns:
        True if the file is supported